=== debian/changelog ===
xenomai (2.6.4+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added Conflicts to libxenomai1 (<< 2.6.4). Closes: #806145

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 23 Dec 2015 09:02:16 +0100

xenomai (2.6.4+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version without debian 
    directory (+dfsg). (Closes:  #791980)
  * Could be built. No gzip problem. (Closes: #802420)
  * Added Leopold Palomo-Avellaneda as Uploaders.
  * Bump Standards to 3.9.6.
  * Change to dh-autoreconf
  * Renamed xenomai-runtime by xenomai-system-tools
  * Added libjs-jquery to xenomai-doc depends
  * Enable fortify and change install libdir to multiarch
  * Updated copyright file
  * Deleting installed extra-license-file
  * Added jquery.js source
  * Added documentation under doc-base
  * Dropping udev part. Manage by dh_installudev
  * Renaming linux-patch-xenomai by xenomai-kernel-source
  * Added init file
  * Added modprobe config
  * Correct lintian-overrides files
  * Dropped /dev from the lib package. It's managed by udev in another package
  * Added dependencies to xenomai-kernel-source
  * Tunning suggestions and conflicts of the packages
  * Delete old no used patches
  * Update README
  * Added patch to build with kernels >= 3.11

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 09 Jun 2015 10:26:26 +0200
