=== debian/control ===
Source: xenomai
Section: devel
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 9), findutils (>= 4.2.28), 
		dh-autoreconf, 
		libtool, dh-exec (>=0.3)
Standards-Version: 3.9.6
Homepage: http://www.xenomai.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xenomai.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xenomai.git

Package: xenomai-system-tools
Section: admin
Architecture: amd64 arm armeb armel i386 powerpc powerpcspe
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xenomai-kernel-source, xenomai-doc
Replaces: xenomai-runtime
Conflicts: xenomai-runtime, libxenomai1 (<< 2.6.4)
Description: Xenomai system tools utilities
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains the runtime programs, testsuite for the Xenomai
 realtime system and system configuration scripts.

Package: xenomai-kernel-source
Section: kernel
Architecture: all
Depends: ${misc:Depends}, kernel-package, libncurses-dev, fakeroot,
	zlib1g-dev, libxenomai-dev
Replaces: linux-patch-xenomai
Suggests: xenomai, linux-source
Description: Linux kernel patches for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains patches for 2.6 series kernels - These are intended for
 use with kernel-package and a virgin Linux source tree. Note: These patches
 include the base adeos-ipipe patch along with all the additional material
 normally added by the prepare-kernel.sh script.
 .
 This package contains the following patches:
 .

Package: libxenomai1
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: amd64 arm armeb armel i386 powerpc powerpcspe
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xenomai-system-tools, xenomai-doc
Replaces: xenomai
Conflicts: xenomai
Description: Shared libraries for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains the shared libraries.

Package: libxenomai-dev
Section: libdevel
Architecture: amd64 arm armeb armel i386 powerpc powerpcspe
Depends: libxenomai1 (= ${binary:Version}), ${misc:Depends}
Suggests: linux-patch-xenomai, xenomai-doc
Replaces: xenomai
Conflicts: xenomai
Description: Headers and static libs for Xenomai
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 This package contains development files (header files), the static libraries
 and scripts used to compile realtime applications.

Package: xenomai-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Suggests: xenomai
Conflicts: xenomai-docs
Replaces: xenomai-docs
Description: Xenomai documentation
 Xenomai is a real-time development framework cooperating with the Linux
 kernel in order to provide a pervasive, interface-agnostic, hard real-time
 support to user-space applications, seamlessly integrated into the GNU/Linux
 environment. Xenomai provides its own API and emulation layers ("skins") to
 make migration from other RTOS easier. Examples are: pSOS+, VxWorks, VRTX,
 uiTRON, RTAI, POSIX.
 .
 Documentation for Xenomai realtime API.
