=== debian/rules ===
#!/usr/bin/make -f

##################
### To be clarified
# Author: Paul Corner <paul_c@gna.org>
# Leo and Roland, Gilles
# Created on: Sat Mar 3 12:00 GMT 2007
# License: GPL Ver. 2
##################

# Hardening.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
export DEB_BUILD_HARDENING=1
#DEB_BUILD_OPTIONS += nocheck

#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
# necessary from GCC 4.6 on (no-omit-frame-pointer)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fno-omit-frame-pointer
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Multiarch.
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)



ifeq ($(DEB_HOST_ARCH), i386)
# Note: Would like to use --includedir=/usr/include/xenomai, but
# there appears to be a `make install` problem.
	CONFIG_OPTS = \
	            --enable-x86-tsc
endif
ifeq ($(DEB_HOST_ARCH), amd64)
	CONFIG_OPTS = \
	            --enable-x86-tsc \
	            --enable-x86-sep
endif
ifeq ($(DEB_HOST_ARCH), powerpc)
	CONFIG_OPTS =
endif
CONFIG_OPTS += --prefix=/usr \
	            --includedir=/usr/include/xenomai \
	            --mandir=/usr/share/man \
		    --with-testdir=/usr/lib/$(DEB_HOST_MULTIARCH)/xenomai \
		    --enable-fortify \
		    --libdir='$${prefix}/lib/$(DEB_HOST_MULTIARCH)/'\
		    --enable-shared

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CONFIG_OPTS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
	CONFIG_OPTS += --build $(DEB_BUILD_GNU_TYPE)
endif


#################################################
%:
	dh $@ --parallel --with autoreconf

#### Configure ####
override_dh_auto_configure:
#	autoreconf -fi
	dh_auto_configure -- $(CONFIG_OPTS)

override_dh_auto_install:
	# Creating the debian file
	cat ksrc/nucleus/udev/rtheap.rules >  debian/xenomai-system-tools.xenomai.udev
	cat ksrc/nucleus/udev/rtpipe.rules >> debian/xenomai-system-tools.xenomai.udev

# Copying some interesting files to use in the package
	mkdir -p debian/tmp/usr/src/xenomai-kernel-source 
	mkdir -p debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins
	cp -a ksrc include scripts debian/tmp/usr/src/xenomai-kernel-source/
	cp -r examples debian/tmp/usr/share/libxenomai-dev 
	cp -r ksrc/skins/native/demos debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins/native
	cp -r ksrc/skins/native/snippets debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins/native
	cp -r ksrc/skins/posix/demos debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins/posix
	cp -r ksrc/skins/psos+/demos debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins/psos+
	cp -r ksrc/skins/vxworks/demos debian/tmp/usr/share/libxenomai-dev/examples/kernel/skins/vxworks

	# Deleting extra-license-file
	rm -rf debian/tmp/usr/src/xenomai-kernel-source/include/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/nucleus/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/native/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/posix/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/psos+/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/rtdm/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/uitron/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/vrtx/COPYING \
		debian/tmp/usr/src/xenomai-kernel-source/ksrc/skins/vxworks/COPYING
	
	dh_auto_install

	
	# remove *.la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# removing useless-autogenerated-doxygen-file .md5 files of the documentation
	find debian/tmp/usr/share/doc/ -name *.md5 | xargs -n1 rm -rf
	# delete empty directory
	rm -rf debian/tmp/usr/share/doc/xenomai/ps

override_dh_compress:
	dh_compress -X.pdf


override_dh_installmodules:
	# We have some udev files
	dh_installmodules --name=xenomai

override_dh_installudev:
	dh_installudev --name=xenomai

override_dh_installinit:
	dh_installinit --name=xenomai

	
######################################################################
######################################################################
######################################################################
######################################################################
