=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
 http://download.gna.org/xenomai/stable/xenomai-(.*)\.tar\.bz2
